io.vertx.reactivex.ext.auth.oauth2.rbac

## Class KeycloakRBAC

- java.lang.Object
- - io.vertx.reactivex.ext.auth.oauth2.rbac.KeycloakRBAC

-     public class KeycloakRBAC
      extends Object

  Implementation of the Keycloak RBAC handler.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<KeycloakRBAC>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeycloakRBAC(KeycloakRBAC delegate)`
    `KeycloakRBAC(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2RBAC` | `create(OAuth2Options options)` Factory method to create a RBAC handler for tokens adhering to the Keycloak token format.
    `boolean` | `equals(Object o)`
    `KeycloakRBAC` | `getDelegate()`
    `int` | `hashCode()`
    `static KeycloakRBAC` | `newInstance(KeycloakRBAC arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KeycloakRBAC> __TYPE_ARG

  - ### Constructor Detail

    - #### KeycloakRBAC

          public KeycloakRBAC(KeycloakRBAC delegate)

    - #### KeycloakRBAC

          public KeycloakRBAC(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KeycloakRBAC getDelegate()

    - #### create

          public static OAuth2RBAC create(OAuth2Options options)

      Factory method to create a RBAC handler for tokens adhering to the Keycloak token format.
      Parameters:
        `options` -
      Returns:
        a RBAC validator

    - #### newInstance

          public static KeycloakRBAC newInstance(KeycloakRBAC arg)

Copyright © 2021 Eclipse. All rights reserved.